__kfifo_put
Prev | kfifo interface | Next

## Name

__kfifo_put — puts some data into the FIFO, no locking version

## Synopsis

`unsigned int __kfifo_put (` | struct kfifo * | fifo,
| unsigned char * | buffer,
| unsigned int | len`)`;

## Arguments

`fifo`

  the fifo to be used.

`buffer`

  the data to be added.

`len`

  the length of the data to be added.

## Description

This function copies at most `len` bytes from the `buffer` into the FIFO depending on the free space, and returns the number of bytes copied.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these functions.

Prev | Up | Next
kfifo_free | Home | __kfifo_get